<?php 

// Module entry point and main function
// Parameters: Assoc Array
// Return: string
function RecentEntries($settingCollection)
{
	global $Database;
	global $Settings;
	
	$content = '';


	// Get page data
	if ($settingCollection['display'] == '' || strtolower($settingCollection['display']) == 'all' || strtolower($settingCollection['display']) == 'pages')
	{
		$Database->Query("SELECT `Name`, `Title` FROM `page` WHERE (`ID` > 1) AND (`Published` = true) ORDER BY `ID` DESC LIMIT 0,$settingCollection[maximum]");
		
		if ($Database->QueryHasError())
			ShowError('Error', 'Database Error', 'There is a database error.<br />Can\'t fetch and get data from database for `Recent Entries` module.<br /><br /><strong>Error Message:</strong><br />' . $Database->QueryErrorMessage());
		
		if ($Database->GetRowsCount() > 0)
		{
			$content .= '<h4>Pages</h4>';
			$content .= '<ul>';
			while ($result = $Database->FetchResult())
			{
				$content .= '<li><a href="' . CreateInternalUrl($result['Name']) . "\" title=\"$result[Title]\">$result[Title]</a></li>";
			}
			$content .= '</ul>';
		}
	}
	
	
	// Get post data
	if ($settingCollection['display'] == '' || strtolower($settingCollection['display']) == 'all' || strtolower($settingCollection['display']) == 'posts')
	{
		$Database->Query("SELECT `Name`, `Title` FROM `post` WHERE (`Published` = true) ORDER BY `ID` DESC LIMIT 0,$settingCollection[maximum]");
		
		if ($Database->QueryHasError())
			ShowError('Error', 'Database Error', 'There is a database error.<br />Can\'t fetch and get data from database for `Recent Entries` module.<br /><br /><strong>Error Message:</strong><br />' . $Database->QueryErrorMessage());
		
		if ($Database->GetRowsCount() > 0)
		{
			$content .= '<h4>Posts</h4>';
			$content .= '<ul>';
			while ($result = $Database->FetchResult())
			{
				$content .= '<li><a href="' . CreateInternalPostUrl($result['Name']) . "\" title=\"$result[Title]\">$result[Title]</a></li>";
			}
			$content .= '</ul>';
		}
	}
	
	
	return $content;
}

?>