<?php



// Check database settings exist and is valid
// Return: boolean
function CheckDatabaseSettings()
{
	global $Settings;

	if ($Settings->DatabaseType != 'mysqli' && $Settings->DatabaseType != 'mysql')
		return FALSE;
	if (empty($Settings->DatabaseHost))
		return FALSE;
	if (empty($Settings->DatabaseName))
		return FALSE;
	if (empty($Settings->DatabaseUsername))
		return FALSE;
		
	return TRUE;
}



// Check database exists
// Return: boolean
function CheckDatabaseExists()
{
	global $Settings;
	global $Database;
	
	$Database->Query(QueryProvider::DatabaseExists($Settings->DatabaseName));
	
	if ($Database->QueryHasError())
		return NULL;
	
	if ($Database->GetRowsCount() == 0)
		return FALSE;
		
	$result = $Database->FetchResultExtra();
	
	if ($result == NULL)
		return FALSE;
	
	if ($result[0] == $Settings->DatabaseName)
		return TRUE;
	if ($result["Database ($Settings->DatabaseName)"] == $Settings->DatabaseName)
		return TRUE;
}



?>